#Tech 1 unlocked by default. Use WaitSeconds to unlock the other 3. Check my math.

local function FunctionalLanguagesAreDumb()

  for i, brain in ArmyBrains do
    AddBuildRestriction(i,categories.ALLUNITS)
    RemoveBuildRestriction(i,categories.TECH1)
  end

  #Wait 15 minutes/900 seconds
  WaitSeconds(0)

  for i, brain in ArmyBrains do
    RemoveBuildRestriction(i,categories.TECH2)
  end

  print('## TECH 2 UNLOCKED ##')

  WaitSeconds(2700)
  
  for i, brain in ArmyBrains do
    RemoveBuildRestriction(i,categories.TECH3)
  end

  print('## TECH 3 UNLOCKED ##')

  WaitSeconds(6300)

  for i, brain in ArmyBrains do
    RemoveBuildRestriction(i,categories.EXPERIMENTAL)
  end
  print('## EXPERIMENTALS UNLOCKED ##')

  
end

local originalBeginSession = BeginSession

function BeginSession()
    originalBeginSession()
    ForkThread(FunctionalLanguagesAreDumb)
end
